# List backlinks to a block

`GET /v1/documents/{id}/blocks/{blockId}/backlinks`

Lists live documents that link to one block (`[[Note#^blockId]]`) of this document.

Scope: `docs:read`.

## Request

```bash
curl "https://api.lydie.co/v1/documents/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/blocks/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/backlinks" \
  -H "Authorization: Bearer $LYDIE_TOKEN"
```

## Path parameters

- `id` (ULID, required)
- `blockId` (string, required)

## Response

- `backlinks` (Backlink[], required)
  - `source` (object, required)
    - `id` (ULID, required)
    - `title` (string, required): (1–255 chars)
    - `parentId` (ULID, required, nullable)
    - `workspaceId` (string, required): (1–64 chars)
  - `kind` (string, required): One of: `link`, `embed`.
  - `syntax` (string, required): One of: `wikilink`, `markdown`.
  - `targetRef` (string, required)
  - `sourceBlockId` (string, required, nullable)
  - `targetHeading` (string, required, nullable)
  - `targetBlockId` (string, required, nullable)
  - `sourceProperty` (string, optional, nullable): Set when the link is in a property (a relation value or a [[link]]).

```json
{
  "backlinks": [
    {
      "source": {
        "id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
        "title": "Meeting notes",
        "parentId": null,
        "workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA"
      },
      "kind": "link",
      "syntax": "wikilink",
      "targetRef": "string",
      "sourceBlockId": null,
      "targetHeading": null,
      "targetBlockId": null,
      "sourceProperty": null
    }
  ]
}
```

Errors use the envelope described at https://developers.lydie.co/errors.md.
